%global _empty_manifest_terminate_build 0
Name:           perl-HTTP-Server-Simple
Version:        0.52
Release:        1
Summary:        Lightweight HTTP server
License:        Perl_5
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/HTTP-Server-Simple/
Source0:        http://www.cpan.org/authors/id/B/BP/BPS/HTTP-Server-Simple-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-generators
BuildRequires:  perl(CGI)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Socket) >= 1.94
BuildRequires:  perl(Test::More)
Requires:       perl(CGI)
Requires:       perl(Socket) >= 1.94
Requires:       perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
%description
This is a simple standalone HTTP server. By default, it doesn't thread or
fork. It does, however, act as a simple frontend which can be used to build
a standalone web-based application or turn a CGI into one.
%package help
Summary : Lightweight HTTP server
Provides: perl-HTTP-Server-Simple-doc
%description help
This is a simple standalone HTTP server. By default, it doesn't thread or
fork. It does, however, act as a simple frontend which can be used to build
a standalone web-based application or turn a CGI into one.
%prep
%setup -q -n HTTP-Server-Simple-%{version}
%build
export PERL_MM_OPT=""
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
export PERL_MM_OPT=""
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

pushd %{buildroot}
touch filelist.lst
if [ -d usr/bin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
popd
mv %{buildroot}/filelist.lst .
%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files -f filelist.lst
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%files help
%{_mandir}/*

%changelog
* Tue Jun 09 2020 Perl_Bot <Perl_Bot@openeuler.org> 0.52-1
- Specfile autogenerated by Perl_Bot
